D-Bus 1.13.18

Data Fields
DBusUserInfo Struct Reference
D-Bus secret internal implementation details » UNIX-specific internal API

Information about a UNIX user. More...

`#include <dbus-sysdeps-unix.h>`

## Data Fields
size_t | refcount
| Reference count.
dbus_uid_t | uid
| UID.
dbus_gid_t | primary_gid
| GID.
dbus_gid_t * | group_ids
| Groups IDs, including above primary group.
int | n_group_ids
| Size of group IDs array.
char * | username
| Username.
char * | homedir
| Home directory.

## Detailed Description

Information about a UNIX user.

Definition at line 106 of file dbus-sysdeps-unix.h.

The documentation for this struct was generated from the following file:

- dbus-sysdeps-unix.h